Loading...
Searching...
No Matches
RealValueVect.h File Reference
`#include <RDGeneral/export.h>`
`#include <boost/smart_ptr.hpp>`
`#include <string>`
`#include <cstring>`

Go to the source code of this file.

## Classes

class | RDKit::RealValueVect

## Namespaces

namespace | RDGeom
namespace | RDKit
| Std stuff.

## Functions

RDKIT_DATASTRUCTS_EXPORT double | RDKit::computeL1Norm (const RealValueVect &v1, const RealValueVect &v2)
| returns L1 Norm of vectors
RDKIT_DATASTRUCTS_EXPORT RealValueVect | RDKit::operator+ (const RealValueVect &p1, const RealValueVect &p2)
| returns the sum of vectors
RDKIT_DATASTRUCTS_EXPORT RealValueVect | RDKit::operator- (const RealValueVect &p1, const RealValueVect &p2)
| returns the difference of vectors
RDKIT_DATASTRUCTS_EXPORT RealValueVect | RDKit::operator| (const RealValueVect &p1, const RealValueVect &p2)
| support rvv3 = rvv1|rvv2
RDKIT_DATASTRUCTS_EXPORT RealValueVect | RDKit::operator& (const RealValueVect &p1, const RealValueVect &p2)
| support rvv3 = rvv1&rvv2